summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo2024-04-27 01:44:22 +0200
committer Willy Sudiarto Raharjo2024-04-27 04:28:32 +0200
commit6c4236e9b6ef2b52f2719c4f5fc0048b1547220b (patch)
tree79ac68cb8c6ed7d235fe6d62dad48082ebf7d957
parent92263a5758be3174688485f427a54a6a578b995b (diff)
downloadslackbuilds-6c4236e9b6ef2b52f2719c4f5fc0048b1547220b.tar.gz
network/noip-duc: Added (Dynamic DNS Client).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/noip-duc/README15
-rw-r--r--network/noip-duc/noip-duc.SlackBuild104
-rw-r--r--network/noip-duc/noip-duc.info10
-rw-r--r--network/noip-duc/slack-desc19
4 files changed, 148 insertions, 0 deletions
diff --git a/network/noip-duc/README b/network/noip-duc/README
new file mode 100644
index 0000000000..af93171fe0
--- /dev/null
+++ b/network/noip-duc/README
@@ -0,0 +1,15 @@
+Dynamic DNS Update Client for Linux
+
+Keep your current IP address in sync with your No-IP host or domain
+Default behavior is to check every 5 minutes.
+
+NOTE: This script requires network access
+
+Usage:
+noip-duc -g myhostname.ddns.net -u username -p password
+
+If you’re using DDNS Keys use all.ddnskey.com
+and DDNS Key Username/Password.
+
+noip-duc -g all.ddnskey.com --username <DDNS Key Username>
+--password <DDNS Key Password>
diff --git a/network/noip-duc/noip-duc.SlackBuild b/network/noip-duc/noip-duc.SlackBuild
new file mode 100644
index 0000000000..228b1145e0
--- /dev/null
+++ b/network/noip-duc/noip-duc.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/bash
+
+# Slackware build script for noip-duc
+
+# Copyright 2024 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=noip-duc
+VERSION=${VERSION:-3.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}_$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION.tar.gz
+cd ${PRGNAM}_$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+export PATH="/opt/rust16/bin:$PATH"
+if [ -z "$LD_LIBRARY_PATH" ]; then
+ export LD_LIBRARY_PATH="/opt/rust16/lib$LIBDIRSUFFIX"
+else
+ export LD_LIBRARY_PATH="/opt/rust16/lib$LIBDIRSUFFIX:$LD_LIBRARY_PATH"
+fi
+
+cargo build --release
+
+mkdir -p $PKG/usr/bin
+
+cp target/release/noip-duc $PKG/usr/bin
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.md README.md LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/noip-duc/noip-duc.info b/network/noip-duc/noip-duc.info
new file mode 100644
index 0000000000..bf5211f4d7
--- /dev/null
+++ b/network/noip-duc/noip-duc.info
@@ -0,0 +1,10 @@
+PRGNAM="noip-duc"
+VERSION="3.0.0"
+HOMEPAGE="https://www.noip.com"
+DOWNLOAD="https://dmej8g5cpdyqd.cloudfront.net/downloads/noip-duc_3.0.0.tar.gz"
+MD5SUM="8cf9a6f8b94d48f1897d9ef860727cf6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="rust16"
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"
diff --git a/network/noip-duc/slack-desc b/network/noip-duc/slack-desc
new file mode 100644
index 0000000000..61be775e9a
--- /dev/null
+++ b/network/noip-duc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+noip-duc: noip-duc (Dynamic DNS Update Client)
+noip-duc:
+noip-duc: Keep your current IP address in sync with your No-IP host or domain
+noip-duc:
+noip-duc:
+noip-duc: Project: https://www.noip.com
+noip-duc:
+noip-duc:
+noip-duc:
+noip-duc:
+noip-duc: